cmake_minimum_required(VERSION 2.8.11)

include (libjson-c)

project(json-c)

file(
	GLOB
	source_files
	../../arraylist.c
	../../debug.c
	../../json_c_version.c
	../../json_object.c
	../../json_object_iterator.c
	../../json_tokener.c
	../../json_util.c
	../../linkhash.c
	../../printbuf.c
	../../random_seed.c
)

set(CMAKE_C_FLAGS "-Wall -Werror -Wno-error=deprecated-declarations -Wextra -Wwrite-strings -Wno-unused-parameter -std=gnu99 -D_GNU_SOURCE -D_REENTRANT")

add_library(
        json-c
        SHARED
        ${source_files}
)
